LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
XDriverManager2 Interface Referencepublished

is the basic interface for managing a set of SDBC drivers. More...

`import"XDriverManager2.idl";`

Inheritance diagram for XDriverManager2:

## Exported Interfaces
interface | XDriverManager
| is the basic interface for establishing database connections. More...
interface | XDriverAccess
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration on all installed / registered drivers. More...

## Additional Inherited Members
Public Member Functions inherited from XDriverManager
XConnection | getConnection ([in]string url) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
XConnection | getConnectionWithInfo ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
void | setLoginTimeout ([in]long seconds)
| sets the maximum time in seconds that a driver will wait while attempting to connect to a database. More...
long | getLoginTimeout ()
| gets the maximum time in seconds that a driver can wait when attempting to login to a database. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDriverAccess
XDriver | getDriverByURL ([in]string url)
| get a driver which accepts a given url. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

is the basic interface for managing a set of SDBC drivers.

As part of its initialization, the DriverManager service will attempt to load the registered drivers.

When the method `getConnection` is called, the DriverManager will attempt to locate a suitable driver.

See also
  com::sun::star::sdbc::XDriver
  com::sun::star::sdbc::XConnection

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration on all installed / registered drivers.

## ◆ XDriverAccess

interface XDriverAccess

## ◆ XDriverManager

interface XDriverManager

is the basic interface for establishing database connections.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XDriverManager2.idl